> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Imported Number

> Get Imported Number.

### Authorizations

<ParamField header="X-Api-Key" type="string" required>
  Your Agni API key used to authenticate the request. Pass it in the `X-Api-Key` header. Find or rotate it from your Ravan AI account settings.
</ParamField>

***

### Path Parameters

<ParamField path="id" type="string" required>
  The unique ID of the resource in the path. Use the ID returned by the related create or list endpoint.
</ParamField>

***

### Response

<ResponseField name="success" type="boolean">
  Whether the request succeeded.
</ResponseField>

<ResponseField name="message" type="string">
  Human-readable status message.
</ResponseField>

<ResponseField name="data" type="object">
  Returned data.

  <Expandable title="data">
    <ResponseField name="id" type="string">
      Imported number ID
    </ResponseField>

    <ResponseField name="phone" type="string">
      Phone number
    </ResponseField>

    <ResponseField name="name" type="string">
      Friendly name
    </ResponseField>

    <ResponseField name="type" type="string">
      Number type (e.g. sip, pstn)
    </ResponseField>

    <ResponseField name="termination_uri" type="string">
      SIP termination URI
    </ResponseField>

    <ResponseField name="sip_username" type="string">
      SIP username
    </ResponseField>

    <ResponseField name="status" type="string">
      Number status
    </ResponseField>

    <ResponseField name="created_at" type="string">
      Creation timestamp
    </ResponseField>
  </Expandable>
</ResponseField>


## OpenAPI

````yaml GET /api/v1/phone-numbers/import/{id}
openapi: 3.0.1
info:
  title: Agni API
  version: 1.0.0
  description: >-
    Agni API for managing agents, tools, widget settings, telephony, and
    integrations.
servers:
  - url: https://api.ravan.ai
security:
  - X-Api-Key: []
tags:
  - name: AgentService
  - name: AgentToolService
  - name: WidgetSettingsService
  - name: PhoneService
  - name: AppointmentService
  - name: GHLService
  - name: CalComService
  - name: CampaignService
  - name: ContactService
  - name: CallingService
  - name: RAGService
  - name: ModelService
  - name: HealthService
paths:
  /api/v1/phone-numbers/import/{id}:
    get:
      tags:
        - PhoneService
      summary: Get Imported Number
      operationId: GetImportedNumber
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Imported number ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetImportedNumberResponse'
components:
  schemas:
    GetImportedNumberResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/ImportedNumber'
    ImportedNumber:
      type: object
      properties:
        id:
          type: string
          description: Imported number ID
        phone:
          type: string
          description: Phone number
        name:
          type: string
          description: Friendly name
        type:
          type: string
          description: Number type (e.g. sip, pstn)
        termination_uri:
          type: string
          description: SIP termination URI
        sip_username:
          type: string
          description: SIP username
        status:
          type: string
          description: Number status
        created_at:
          type: string
          description: Creation timestamp
  securitySchemes:
    X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key

````